Bug 1264011 - Keystone is run under eventlet
Keystone is run under eventlet
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: 9.0 (Mitaka)
Assigned To: Jay Dobies
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 06:15 EDT by Marius Cornea
Modified: 2016-10-07 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-07 13:56:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 213175 None None None Never

  None (edit)
Description Marius Cornea 2015-09-17 06:15:04 EDT
Description of problem:

OSP-d deploys Keystone to run under eventlet which is deprecated as of the Kilo release. Recommended way is to configure Keystone to be run by mod_wsgi under httpd.

http://docs.openstack.org/developer/keystone/configuration.html
Comment 4 Emilien Macchi 2015-09-28 09:26:36 EDT
Upstream patch: https://review.openstack.org/#/c/213175/
Comment 6 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Adam Young 2016-10-07 13:56:33 EDT
Landed in OSP9

Note You need to log in before you can comment on or make changes to this bug.